diff --git a/bureau/admin/index.php b/bureau/admin/index.php
index c6383a07..dbc46d1e 100644
--- a/bureau/admin/index.php
+++ b/bureau/admin/index.php
@@ -115,7 +115,7 @@ if (isset($url) && $url) {
-
+
diff --git a/bureau/class/lang_env.php b/bureau/class/lang_env.php
index 42398392..5702f154 100644
--- a/bureau/class/lang_env.php
+++ b/bureau/class/lang_env.php
@@ -1,5 +1,13 @@
"Français",
+ "en_US" => "English",
+ "es_ES" => "Español",
+ "it_IT" => "Italiano",
+ "de_DE" => "Deutsch",
+ );
+
function update_locale($langpath) {
$locales=array();
$file=file("/etc/locale.gen", FILE_SKIP_EMPTY_LINES);
diff --git a/install/alternc.install b/install/alternc.install
index cae9ece5..4dd6863a 100644
--- a/install/alternc.install
+++ b/install/alternc.install
@@ -383,6 +383,10 @@ if [ -x /usr/sbin/locale-gen ] ; then
echo "en_US.UTF-8 UTF-8" >>/etc/locale.gen
LOCALECHANGED=1
fi
+ if ! grep -q "^it_IT.UTF-8 UTF-8$" /etc/locale.gen ; then
+ echo "it_IT.UTF-8 UTF-8" >>/etc/locale.gen
+ LOCALECHANGED=1
+ fi
if [ "$LOCALECHANGED" ] ; then
locale-gen
fi